/*
	Include CSS in HTML
	= Inline Styling 
	= Internal Styling
	= External CSS (recommended)
*/

/*CSS Selectors*/

/*Universal Selector(*) = target all elements.*/
* {
	font-family: "Courier New" , monospace;
	font-size: 20px ;
}

/* Type Selector (<tag name>) = target elements with the specified type/tag name */
h1	{
color: lightpink !important;
/*important property override CSS styling*/
}

/*iD Selector (#ID) = targets element according to its ID attribute; ideally used for targeting a unique element.*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*Class Selector (.class-name) = targets elements according to its class atttribute; ideally used for multiple elements at once.*/
.offering-item {
	text-transform: uppercase;
}
/*Attribute Selector (tagname[attribute])= target elements with a specified element attribute ; used to target elements with a certain attribute.*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

/*Adjacent Sibling Selector*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
#bootcamp-learning-list li {
	color: #075966;
}
/*General Sibling Selector*/
h2 ~ a {
	text-decoration: none ;
}




/*CSS Selector Combinators*/

/*DESCENDANT SELECTOR (white space) = matches all elements that are descendants of a specified elements.*/
/*div p {
	background-color: red;
}*/
/*#parent p{
	background-color: orangered;
}
*/

/* CHILD SELECTOR (>) = select all element that are direct children of specified element.*/
/*div > p {
	background-color: blue;
}*/
/*#parent > p {
	background-color: green;
}
*/

/*GENERAL SIBLING SELECTOR(~) = select all elements that are next siblings of a specified element.*/
/* p ~ p {
 	background-color: red;
 }*/

/* p ~ section {
 	background-color: deeppink;
 }*/

 /*ADJACENT SIBLING SELECTOR (+) = select an element that is directly after another specific element.*/
/* p + p {
 	background-color: darkred;
 }*/

/*div + p {
	background-color: darkred;
}*/


